Debian Bug report logs - #615895
ITA: grap -- program for typesetting graphs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tobias Quathamer <toddy@debian.org>

Date: Mon, 28 Feb 2011 21:12:02 UTC

Owned by: Matus Valo <matusvalo@gmail.com>

Severity: normal

Fixed in version grap/1.44-1

Done: Matus Valo <matusvalo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615895; Package wnpp. (Mon, 28 Feb 2011 21:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Quathamer <toddy@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 28 Feb 2011 21:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tobias Quathamer <toddy@debian.org>
To: submit@bugs.debian.org
Subject: O: grap -- program for typesetting graphs
Date: Mon, 28 Feb 2011 22:10:14 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

I'm orphaning the package grap, as I'm no longer using it. This is the
long description:

 This is grap, an implementation of Kernighan and Bentley's grap language
 for typesetting graphs. The grap preprocessor works with pic and troff
 (or groff).
 .
 Grap is a language for describing graphical displays of data. It
 provides such services as automatic scaling and labeling of axes,
 and for statements, if statements, and macros to facilitate user
 programmability. Grap is intended primarily for including graphs in
 documents prepared with groff or TeX, and is only marginally useful for
 elementary tasks in data analysis.

Regards,
Tobias

-- 
Tobias Quathamer | "Time wounds all heels." -- Groucho Marx
Hamburg, Germany |

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615895; Package wnpp. (Thu, 26 May 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus schnalke <meillo@marmaro.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 26 May 2011 18:45:03 GMT) Full text and rfc822 format available.


Message #10 received at 615895@bugs.debian.org (full text, mbox):

From: markus schnalke <meillo@marmaro.de>
To: 615895@bugs.debian.org, control@bugs.debian.org
Cc: jhr@debian.org, toddy@debian.org
Date: Thu, 26 May 2011 20:23:54 +0200
retitle 615895 ITA: grap -- program for typesetting graphs
thanks

I'd much like to adopt the package. Thanks for the perfect shape in
which it had been orphaned. :-)


I'll need a sponsor then. Tobias, would you still like to sponsor? Or
Hauke, as you do sponsor my masqmail package, would you like to upload
this one too?

As the package is in perfect shape, there is few need for an upload
currently. Should we stay with the ITA until it's worth a new version?


meillo




Changed Bug title to 'ITA: grap -- program for typesetting graphs' from 'O: grap -- program for typesetting graphs' Request was from markus schnalke <meillo@marmaro.de> to control@bugs.debian.org. (Thu, 26 May 2011 18:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615895; Package wnpp. (Fri, 27 May 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 27 May 2011 07:57:04 GMT) Full text and rfc822 format available.

Message #17 received at 615895@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: markus schnalke <meillo@marmaro.de>
Cc: 615895@bugs.debian.org, toddy@debian.org
Subject: Re: your mail
Date: Fri, 27 May 2011 09:52:29 +0200
[Message part 1 (text/plain, inline)]
On Thu, May 26, 2011 at 08:23:54PM +0200, markus schnalke wrote:
> retitle 615895 ITA: grap -- program for typesetting graphs
> thanks
> 
> I'd much like to adopt the package. Thanks for the perfect shape in
> which it had been orphaned. :-)
> 
> 
> I'll need a sponsor then. Tobias, would you still like to sponsor? Or
> Hauke, as you do sponsor my masqmail package, would you like to upload
> this one too?

I can upload for you if you want me to. No problem.

> As the package is in perfect shape, there is few need for an upload
> currently. Should we stay with the ITA until it's worth a new version?

Well, if there's really nothing to be done except for updating the
Maintainer field, I'd say we can wait. Otherwise, do whatever you want
to do with the package, prepare an upload, and contact me. It's your
package now after all ;)

Hauke

-- 
 .''`.   Jan Hauke Rahm <jhr@debian.org>               www.jhr-online.de
: :'  :  Debian Developer                                 www.debian.org
`. `'`   Member of the Linux Foundation                    www.linux.com
  `-     Fellow of the Free Software Foundation Europe      www.fsfe.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615895; Package wnpp. (Wed, 29 Feb 2012 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Quathamer <toddy@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Feb 2012 14:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 615895@bugs.debian.org (full text, mbox):

From: Tobias Quathamer <toddy@debian.org>
To: 615895@bugs.debian.org
Cc: Markus Schnalke <meillo@marmaro.de>, Jan Hauke Rahm <jhr@debian.org>
Subject: New upstream of grap
Date: Wed, 29 Feb 2012 14:54:04 +0100
[Message part 1 (text/plain, inline)]
Hi Markus and Jan,

there's now a new upstream version of grap available (1.44). You might
want to prepare that package for Debian and close this ITA bug at the
same time.

Regards,
Tobias

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#615895; Package wnpp. (Mon, 14 May 2012 12:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus schnalke <meillo@marmaro.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 May 2012 12:54:05 GMT) Full text and rfc822 format available.

Message #27 received at 615895@bugs.debian.org (full text, mbox):

From: markus schnalke <meillo@marmaro.de>
To: Tobias Quathamer <toddy@debian.org>
Cc: 615895@bugs.debian.org, Jan Hauke Rahm <jhr@debian.org>, control@bugs.debian.org
Subject: Re: New upstream of grap
Date: Mon, 14 May 2012 14:39:24 +0200
retitle 615895 O: grap -- program for typesetting graphs
thanks


First of all: Sorry for the long delay.

[2012-02-29 14:54] Tobias Quathamer <toddy@debian.org>
> 
> there's now a new upstream version of grap available (1.44). You might
> want to prepare that package for Debian and close this ITA bug at the
> same time.

Thanks for the reminder. I still do use troff and thus would like the
package to remain in Debian. But I've moved to Crux Linux with my
workstations. This has technical reasons, also related to Debian
packaging.

I did try to prepare a new package in January already, but after some
hours I gave up because I was frustrated by the need to learn to use
so many packaging technologies for such a small package. I do
understand Debians reasons and have discussed the topic a lot. Only,
my personal preference is different.


In concequence, I now withdraw my ITA and orphan the package again.


meillo




Changed Bug title to 'O: grap -- program for typesetting graphs' from 'ITA: grap -- program for typesetting graphs' Request was from markus schnalke <meillo@marmaro.de> to control@bugs.debian.org. (Mon, 14 May 2012 12:54:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: grap -- program for typesetting graphs' from 'O: grap -- program for typesetting graphs' Request was from Matus Valo <matusvalo@gmail.com> to control@bugs.debian.org. (Thu, 02 Jan 2014 16:15:17 GMT) Full text and rfc822 format available.

Owner recorded as Matus Valo <matusvalo@gmail.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Tue, 21 Jan 2014 10:54:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 615895: 733455 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 21 Jan 2014 16:30:12 GMT) Full text and rfc822 format available.

Reply sent to Matus Valo <matusvalo@gmail.com>:
You have taken responsibility. (Wed, 26 Feb 2014 21:21:09 GMT) Full text and rfc822 format available.

Notification sent to Tobias Quathamer <toddy@debian.org>:
Bug acknowledged by developer. (Wed, 26 Feb 2014 21:21:09 GMT) Full text and rfc822 format available.

Message #40 received at 615895-close@bugs.debian.org (full text, mbox):

From: Matus Valo <matusvalo@gmail.com>
To: 615895-close@bugs.debian.org
Subject: Bug#615895: fixed in grap 1.44-1
Date: Wed, 26 Feb 2014 21:19:32 +0000
Source: grap
Source-Version: 1.44-1

We believe that the bug you reported is fixed in the latest version of
grap, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 615895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matus Valo <matusvalo@gmail.com> (supplier of updated grap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 25 Feb 2014 23:47:00 +0100
Source: grap
Binary: grap
Architecture: source amd64
Version: 1.44-1
Distribution: unstable
Urgency: low
Maintainer: Matus Valo <matusvalo@gmail.com>
Changed-By: Matus Valo <matusvalo@gmail.com>
Description: 
 grap       - program for typesetting graphs
Closes: 615895
Changes: 
 grap (1.44-1) unstable; urgency=low
 .
   * New maintainer. Closes: #615895
   * New Upstream Version
   * Remove override_dh_clean from debian/rules
   * Remove patches, since are not current or fixed in upstream:
     0001-Do-not-remove-too-much-upon-make-distclean.patch
     0003-Add-missing-format-argument-to-snprintf.patch
     0004-Fix-typo-in-manpage.patch
   * New patch 0001-adapt-for-Debian-packaging.patch substitutes previous
     0002-Adapt-for-Debian-packaging.patch
   * Adapting paths in manpage is moved from
     0002-Adapt-for-Debian-packaging.patch to rules file
   * Update Standards-Version to 3.9.5
   * Update debhelper to v9
   * debian/dirs and debian/docs not needed anymore in debhelper v9
Checksums-Sha1: 
 757990822501688f3468e02f438ac64157898df8 1709 grap_1.44-1.dsc
 b15e4e04525301cfbd2900b1f1a028e81a12ba92 184876 grap_1.44.orig.tar.gz
 3acaab46b449f088241ef8b38a0b662612f542b2 5252 grap_1.44-1.debian.tar.xz
 619da33d3b5efb0934d518b987f07ff4ecb2732d 141252 grap_1.44-1_amd64.deb
Checksums-Sha256: 
 2f0e6b54ea60d3c4a174cfa8e0432c0044515aa1eaf232db709f25a2df84b1ed 1709 grap_1.44-1.dsc
 81bb99f0a4e8abedecaa47885066848eda355b3a3c7ca984ae4e8f0b22e4b7d6 184876 grap_1.44.orig.tar.gz
 af090dcd5613f4bbfccf5a72465a93a99ce245e7dbdc262e470453cf88eb9583 5252 grap_1.44-1.debian.tar.xz
 72040bb80f50840f1a05b1d40841a8c8762959334af7a96dd594ef9d51e4c7ac 141252 grap_1.44-1_amd64.deb
Files: 
 d07ebfa8f402ba3da118769bf01f8c74 1709 text optional grap_1.44-1.dsc
 09409aee43980e38272893394fe496d2 184876 text optional grap_1.44.orig.tar.gz
 ba32b5c576acc4bbacb46bffb2bdb010 5252 text optional grap_1.44-1.debian.tar.xz
 6bdc821d74df8ad27dfd2c41e7dd2d2a 141252 text optional grap_1.44-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJTDk3GAAoJEIP9HEaC0Tjg0mYP/3F4kY8qAFLpd6rytInXPuuo
ZbHLkQlVvz4XJPR0mTdQyXwZ6h3DKDfQFYIODbuhQzEf3zquAa+9EXXVHefQj4/I
v/ZrouA/dXFlhIpcQpZF03fuh6KwzVkKf5sYefewQV+8tBBLi3ctG/xXINHgV8Qn
Gcg+h4gk9Z+qE2WCRtRDLPiIwlkR9VzSxBOehgsXZv5iNA8odWUykTUtz6LUpyUa
vTmxX9MIwqZNFYVj58xj+eu0WhkAVWCFJGwWCh2VDhCfVkf4z/uHIMavFMb3pmLp
oirMSQtdz56TUZdQcVmCdPQ4Zr/DHPNMAKxb/DjzroKovbF59F0houjRR2lvswYs
cKICquPnsZttqdYIZ8tnfYaSPNa2DfcSZ92N+SwRdhjML1iFwvqhYPHLM5BP4asb
C4aGtfCSPRjGsUFFctfkE9PCrzFLr43LUVreYJT940Cu9J6HROGOPY22n+b/qk4E
ZrwCZ81p3RbHvWvQJTx95fqgjmn8V1ZIT70KKJ02YtGU5LGZfdJPTUH9mFgqr/7B
3Dk0RIyoWaYlKYuzsqwkWr6rEdOO9vJpI5uY14DGis69tJC4iY/zk/Z0NgAlDIEs
MtyuPNacAjQ8EI9nPy9gPVMfZqmqa6WRBHhKyetVV2X21iGUB6wlGlNDlPdknPVz
aDtaGZ27zuyO26BwX4Dt
=JaI8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Mar 2014 07:32:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:46:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.